> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-80308f89.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Protocols

> This endpoint returns pages from the protocols based on the query, publishers and tag.



## OpenAPI

````yaml post /eka-mcp/protocols/v1/search
openapi: 3.1.0
info:
  title: MCP Eka Assist API
  description: Eka Assist documentation
  version: 1.0.0
  contact:
    name: Nikhil
    url: https://eka.care/
    email: nikhil.kasukurthi@eka.care
servers:
  - url: https://api.dev.eka.care
    description: Staging Server
  - url: https://api.eka.care
    description: Prod Server
security:
  - BearerAuth: []
tags:
  - name: protocols
  - name: medications
  - name: pharmacology
  - name: snomed
paths:
  /eka-mcp/protocols/v1/search:
    post:
      tags:
        - protocols
      summary: Search Protocols
      description: >-
        This endpoint returns pages from the protocols based on the query,
        publishers and tag.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QueryProtocols.b6c8896'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProtocolList.a9993e3'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErr.82b01e4'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErr.82b01e4'
components:
  schemas:
    QueryProtocols.b6c8896:
      properties:
        queries:
          description: List of non overlapping distinct queries to search for protocols
          items:
            $ref: '#/components/schemas/QueryProtocols.b6c8896.Protocol'
          title: Queries
          type: array
      required:
        - queries
      title: QueryProtocols
      type: object
    ProtocolList.a9993e3:
      items:
        $ref: '#/components/schemas/ProtocolList.a9993e3.Protocol'
      title: ProtocolList
      type: array
    GenericErr.82b01e4:
      properties:
        error:
          title: Error
          type: string
      required:
        - error
      title: GenericErr
      type: object
    QueryProtocols.b6c8896.Protocol:
      properties:
        query:
          description: >-
            Concise and exact sentence to search. Do not use when, where, how,
            etc.
          title: Query
          type: string
        tag:
          description: >-
            The tag/condition basis which the protocols database should be
            filtered
          title: Tag
          type: string
        publisher:
          description: >-
            The name of the publisher. Cannot be assumed unless specified in the
            query by the user or selected from output of get_protocol_publishers
          title: Publisher
          type: string
      required:
        - query
        - tag
        - publisher
      title: Protocol
      type: object
    ProtocolList.a9993e3.Protocol:
      properties:
        url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Url
        source_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Source Url
        type:
          anyOf:
            - enum:
                - image
                - pdf
              type: string
            - type: 'null'
          default: null
          title: Type
        author:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Author
        publication_year:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Publication Year
        conditions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          title: Conditions
      title: Protocol
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter JWT token

````